package com.qmth.boot.core.ai.model.llm.endpoint;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class ChatEndpoint implements Serializable {

    private static final long serialVersionUID = 6487765658648836214L;

    private String url;

    private String method;

    private Map<String, String> headers = new HashMap<>();

    private byte[] requestBody;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Map<String, String> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, String> headers) {
        this.headers = headers;
    }

    public byte[] getRequestBody() {
        return requestBody;
    }

    public void setRequestBody(byte[] requestBody) {
        this.requestBody = requestBody;
    }

}
